package com.starbuds.server.service.rtc.dao;

import com.starbuds.server.common.pojo.data.NoticeConfigVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2021/3/30 10:12
 * @Description 通知配置
 */
@Mapper
@Repository
public interface NoticeConfigDAO {


    /**
     * 获取配置
     *
     * @param noticeId
     * @param triggerType
     * @param quantity
     * @param value
     */
    NoticeConfigVO selectConfig(@Param("noticeId") Long noticeId,
                                @Param("triggerType") Integer triggerType,
                                @Param("quantity") Integer quantity,
                                @Param("value") Long value);
}
