package com.starbuds.server.service.rtc.dao;

import com.starbuds.server.common.pojo.db.NoticeDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * @Author jiangxiaowei
 * @DateTime 2021/3/29 18:03
 * @Description 通知持久层
 */
@Mapper
@Repository
public interface NoticeDAO {

    /**
     * 根据id获取
     *
     * @param noticeId
     * @return
     */
    NoticeDO selectById(@Param("noticeId") Long noticeId);
}
