package com.starbuds.server.service.rtc.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2021/5/12
 */
@Mapper
@Repository
public interface RtcRoomCategoryDAO {
    /**
     * 查询是否启用 PK
     *
     * @param categoryId
     * @return
     */
    @Select("SELECT battleEnable FROM tb_rtc_room_category WHERE categoryId = #{categoryId}")
    Integer selectBattleEnabledById(Long categoryId);

    /**
     * 查询用户分成比例
     *
     * @param categoryId
     * @return
     */
    @Select("SELECT userRatio FROM tb_rtc_room_category WHERE categoryId = #{categoryId}")
    Double selectUserRatio(Long categoryId);
}
