package com.starbuds.server.service.rtc.dao;

import com.starbuds.server.common.pojo.db.StatRtcRoomDO;
import com.starbuds.server.common.pojo.rtc.RtcRoomGiftHis;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface RtcRoomGiftHisDAO {

    long insertRtcRoomGiftHis(RtcRoomGiftHis RtcRoomGiftHis);

    List<RtcRoomGiftHis> getRtcRoomGiftHisRecord(@Param("dayTimestamp") Long dayTimestamp, @Param("cursor") int cursor, @Param("pageSize") int pageSize);

    List<StatRtcRoomDO> getRtcRoomGiftBySocpe(@Param("beginTimestamp") Long beginTimestamp, @Param("endTimestamp") Long endTimestamp, @Param("cursor") int cursor, @Param("pageSize") int pageSize);
}
