package com.starbuds.server.service.rtc.impl;

import com.starbuds.server.common.pojo.db.StatRtcRoomDO;
import com.starbuds.server.common.pojo.rtc.RtcRoomGiftHis;
import com.starbuds.server.common.service.rtc.RtcRoomGiftHisService;
import com.starbuds.server.service.rtc.dao.RtcRoomGiftHisDAO;
import lombok.extern.slf4j.Slf4j;
import org.apache.dubbo.config.annotation.Service;

import javax.annotation.Resource;
import java.util.List;

@Service(version = "1.0.0")
@Slf4j
public class RtcRoomGiftHisServiceImpl implements RtcRoomGiftHisService {

    @Resource
    RtcRoomGiftHisDAO rtcRoomGiftHisDAO;

    @Override
    public long insertRtcRoomGiftHis(RtcRoomGiftHis RtcRoomGiftHis) {
        return rtcRoomGiftHisDAO.insertRtcRoomGiftHis(RtcRoomGiftHis);
    }

    @Override
    public List<RtcRoomGiftHis> getRtcRoomGiftHisRecord(Long dayTimestamp, int cursor, int pageSize) {
        return rtcRoomGiftHisDAO.getRtcRoomGiftHisRecord(dayTimestamp, cursor, pageSize);
    }

    @Override
    public List<StatRtcRoomDO> getRtcRoomGiftBySocpe(long beginTimestamp, long endTimestamp, int cursor, int pageSize) {
        return rtcRoomGiftHisDAO.getRtcRoomGiftBySocpe(beginTimestamp, endTimestamp, cursor, pageSize);

    }
}
