package com.starbuds.server.service.rtc.provider;


import com.starbuds.server.common.service.rtc.RtcBattleService;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import test.BaseTest;

import javax.annotation.Resource;

@Slf4j
public class RtcBattleRoomCrossProviderTest extends BaseTest {

    @Resource
    private RtcBattleRoomCrossProvider provider;

    @Resource
    private RtcBattleService rtcBattleService;

    @Test
    public void battleOver() {
        boolean over = provider.battleOver(Long.parseLong("455007879036928"));
        log.info("结束跨房PK {}", over);
    }

    @Test
    public void setRtcBattleService() {
//        rtcBattleService.setBattleRoomCrossListenStatus(452705877229568L, 1);

        rtcBattleService.getBattleRoomCrossList(452705877229568L, "600416134", 1, 20);
    }
}