package com.starbuds.server.service.rtc.dao;

import com.starbuds.server.common.pojo.db.FamilyDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

/**
 * 家族
 *
 * @author aoe
 * @date 2021/11/5
 */
@Mapper
@Repository
public interface FamilyDao {

    /**
     * 查询家族所有分成比例信息
     *
     * @param familyId
     * @return
     */
    @Select("SELECT familyRatio,userRatio,familySingleRtcRatio,userSingleRtcRatio " +
            "FROM tb_family WHERE familyId = #{familyId}")
    FamilyDO selectFamilyRatio(Long familyId);
}
