package com.starbuds.server.service.rtc.dao;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
 * 备注
 *
 * @author Lay
 * @date 2020/7/6
 */
@Mapper
@Repository
public interface RoomNumberPoolDAO {
    /**
     * 查询随机可用 id
     *
     * @return
     */
    Long selectRandomId();

    /**
     * 更新占用 id
     *
     * @param id
     * @param roomId
     * @return
     */
    int updateId(@Param("id") Long id, @Param("roomId") Long roomId);
}
