package com.starbuds.server.service.rtc.dao;

import com.starbuds.server.common.pojo.db.RtcBattleRoomInConfigDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 备注
 *
 * @author Lay
 * @date 2021/5/12
 */
@Mapper
@Repository
public interface RtcBattleRoomInConfigDAO {
    /**
     * 查询配置
     *
     * @return
     */
    @Select("SELECT configId, configName, duration, sort FROM tb_rtc_battle_room_in_config WHERE status > 0 ORDER BY sort asc")
    List<RtcBattleRoomInConfigDO> selectAll();
}
