package com.starbuds.server.service.rtc.dao;

import com.starbuds.server.common.pojo.db.RtcRoomVisitHisDO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Author: lujiao
 * @Date: 2022/1/6 14:01
 */
@Mapper
@Repository
public interface RtcRoomVisitHisDAO {

    /**
     * 用户历史
     *
     * @param userId
     * @param pageSize
     * @return
     */
    List<RtcRoomVisitHisDO> getUserJoinHis(@Param("userId") Long userId, @Param("pageSize") int pageSize);

    /**
     * 用户历史
     *
     * @param userId
     * @param pageSize
     * @return
     */
    List<RtcRoomVisitHisDO> selectUserJoinHisPageList(@Param("userId") Long userId, @Param("pageCursor") int pageCursor, @Param("pageSize") int pageSize);

    /**
     * 用户历史记录总数
     *
     * @param userId
     * @return
     */
    Integer selectUserJoinHisCount(@Param("userId") Long userId);
}
