package com.starbuds.server.service.rtc.provider;

import com.starbuds.server.common.pojo.db.GiftLoveHisDO;
import com.starbuds.server.service.rtc.dao.GiftLoveHisDAO;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Author jiangxiaowei
 * @DateTime 2021/6/9 15:15
 * @Description 真爱榜
 */
@Slf4j
@Component
public class TrueLoveRankProvider {

    @Resource
    GiftLoveHisDAO giftLoveHisDAO;

    /**
     * 批量插入
     *
     * @param list
     */
    public boolean batchInsert(List<GiftLoveHisDO> list) {
        return giftLoveHisDAO.batchInsert(list) > 0;
    }

}
